using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using ProjetDotNet.metier;

namespace ProjetDotNet.COR
{
    /*
     * Gère le chargement d'un rectangle
     */
    class CORChargerRectangle:CORChargerForme
    {
        public CORChargerRectangle(CORChargerForme suivant):base(suivant)
        {

        }

        public CORChargerRectangle(): base()
        {

        }

        /*public override Forme charge(int id)
        {
            bool bonType = this.CONNEXION.DAO_RECTANGLE.isSameType(id);
            if (bonType)
            {
                Rectangle r = this.CONNEXION.DAO_RECTANGLE.charge(id);
                return r;
            }
            else
            {
                return this.GetSuccessor().charge(id);
            }
        }*/

        public override Forme charge(int id,string nomFigure)
        {
            bool bonType = this.CONNEXION.DAO_RECTANGLE.isSameType(id,nomFigure);
            if (bonType)
            {
                Rect r = this.CONNEXION.DAO_RECTANGLE.charge(id,nomFigure);
                return r;
            }
            else
            {
                return this.GetSuccessor().charge(id, nomFigure);
            }
        }
    }
}
